Welcome to Titan Backup

The integrity of your files and documents is vital. Losing data from different reasons, like hard disk failure, accidental delete, computer crash, is unfortunately a very common thing and can happen any time. In these cases a backup of your data turns out to be crucial, offering the possibility to restore data to a previously saved state. Be prepared, and archive your data with Titan Backup.

With a very easy to use wizard-driven interface Titan Backup can help you:

  • create backup of your most important data: backup files, windows registry, mails and user settings

  • run synchronization operations to stay updated anytime with your files.

  • having many free plug-ins installed by default, Titan Backup allows you to easily backup emails and rules for Microsoft Outlook, Outlook Express, Firefox, Opera, Thunderbird, Eudora, Windows settings, system registry and more...

  • easily restore files from backups

  • use any kind of storage device: internal or external hard disks, LAN, CD/DVD, removable media devices (USB sticks, memory sticks, flash memory, floppy disks, ZIP disks, JAZ, etc.), remote locations using FTP

  • schedule your tasks

  • create task events

  • protect your backup privacy with 256-bit AES strong encryption

  • create self-extracting backups and standard Zip64 archives

  • filter the files you want to include in your backup

  • version control, incremental and differential backups

  • detailed logs of all backup operations

  • and more...


Features

Titan Backup is an easy-to-use yet a powerful wizard-interfaced program. Below are briefly presented the main features that Titan Backup offers:

  • Free plug-ins installed by default to facilitate the backup of email and rules for Microsoft Outlook , Outlook Express, Firefox, Opera, Thunderbird, Eudora and many user settings

Titan Backup lets you easily backup settings for Internet Explorer, Firefox, Opera browsers, email and rules for Microsoft Outlook, Outlook Express, Thunderbird, Eudora, Windows settings, Address Book. Check our website for new plugins that will allow Titan Backup to save settings for more applications.

  • Standard ZIP64 archives (unlimited in size) and self-extracting backups

Titan Backup doesn't use proprietary archive formats like other backup programs do. It uses the standard Zip file format. This makes it very easy to restore data manually form the backup archive even if Titan Backup is not installed. You can choose to create self-extracting archives that will allow you to unzip even if you don't have a compression tool. Titan Backup can also create backups without compression for faster processing and more redundancy. The files and folders structure is always preserved. You can create zipped backups with any source files size (you can compress files larger then 4 GB). Incremental and differential support also for zip compression. After you run a backup the first time, you can backup and compress only changed files (incremental). This feature works with any destination (CD/DVD, FTP, Local and LAN). You can also create a compressed backup with multiple hard-drives as destination (span over multiple partitions).

  • 256-bit AES strong encryption to secure you backed up data

Titan Backup uses military strength 256-bit AES strong encryption to protect backed up data privacy. AES encryption algorithm has been adopted by NIST as an FIPS-approved (Federal Information Processing Standard) symmetric encryption algorithm that should be used by U.S. Government organizations (and others) to protect sensitive information.

  • Version control, incremental and differential backups to back up only new/changed files, or to delete from the current backup the files that don't exist anymore in the source location

Titan Backup provides a version control mechanism that allows you to backup only changed files. You can always view the differences between the current files and the last backup in a special view box that marks them in different colors. It can operate in incremental or differential modes to back up only new/changed files, or to delete from the current backup the files that don't exist anymore in the source location.

  • Before / After commands

You can select external programs to run before the backup will start or after it ends. Also there is the possibility to shut down the computer automatically after the backup task is done.

  • File filtering to backup only the exact files you need

Users can filter selected files using filename masks, for instance users can choose to backup only .doc files in a certain folder or exclude all .exe files from another folder.

  • Backup to virtually any storage device: local folders, Local Area Network (LAN), CD/DVD, removable devices ( USB sticks, memory sticks, flash memory, floppy disks, ZIP disks, JAZ, etc.), remote FTP servers

Titan Backup allows you to backup on internal or external hard disks, on local area network locations, CD/DVD media, removable media devices ( USB sticks, memory sticks, flash memory, floppy disks, ZIP disks, JAZ, etc.), remote locations using FTP with upload auto-resume. If you backup to a CD/DVD, you can set a pattern label for this disk, so that you can later identify easily what backup is on this disk or when was it created (just by looking at the label).

  • Backup Windows Registry

You can include your Windows registry in the backup. Important notice: this feature should be used with caution, as restoring the Registry can be very dangerous for a novice user and can crash the system.

  • Built-in easy-to-use task scheduler so that your backups can be automatically created independent from your presence in front of the computer

While the Windows' scheduling agent is quite advanced, it can be difficult to use. Titan Backup makes it easier for you to schedule your backups from basic (such as running a task on a specified day and time) to very advanced settings.

  • Email notifications while the backup task is running and when the task is completed

You can configure Titan Backup to send notification email on errors, warnings or summary reports of a successfully finished backup task. Additional options allow you to attach the backup log file and send the email to several addresses. Email notification feature uses custom outgoing SMTP server.

  • Detailed logs of all backup operations

Titan Backup writes local logs of all backup operations, so you can determine what was backed up, start & end times, elapsed times, summary information, operation status, possible warnings and errors. The General Log contains general information about all of your tasks (start time, end time, error and warning messages). General log can be sorted by date. You can obtain information about your activities for a day or for a week, you can see what tasks finished today for example, and how they finished (successfully, with errors or warnings). You can export this general log into a text file or into a html file.

  • Synchronize operations of your data

Titan Backup offers you a synchronization engine for staying up to date with your data: you can synchronize data between your work laptop and personal computer for having latest versions of your projects on both locations; or by having a mirroring to ftp or a memory stick.

  • NEW: Task Hints that quickly show task details, and Tray Popup Window with jobs status and progress

When you are over a task with your mouse, a hint will be appear with information about this task (Task type, destination, compression mode for a backup, elapsed time and time remaining if the task is running). When a task starts, or stops, you are informed by a sliding pop-up window on the bottom-right corner of your display. You can see if your task finished running (or a scheduled task is started), even you work with an other application, an other window. Also you can see the task progress in the taskbar, or by moving the mouse over the tray icon.


Quick Tour

Titan Backup has a very easy to use wizard-driven interface that will guide you step-by-step though any process.

When you run Titan Backup the main window will open. This presents the main Titan Backup sections:

  • Backup (top-left section): click on the icon/link to quickly create a new backup task.

  • Restore (bottom-left section): click on the icon/link to restore data from previously created backups.

  • My Tasks (top-right section): click on the icon/link to manage your previously created backup tasks ( execute/modify/delete an existing task created in the past )

  • Sync (bottom-right section): click on the icon/link to quickly create a new Sync task.

When working with wizards in the program use the buttons at the bottom to move between steps.

Click the [image] button to advance one step.

Click the [image] button to go back one step.

Click the [image] button to complete a process.

Click the [image] button to cancel a process, without completing it.

If you have doubts about a step, press F1 to read a context sensitive help.

Manage Backup Tasks

Titan Backup has a unique manner of managing backup tasks from the main window:

  • run and edit the backup tasks displayed in the backup tasks list

  • view the items in each backup task

  • add files/folders to your backup task by simple drag & drop from Local Files list to Items in task list

  • identify the status of each item in backup

  • see the backup task status all the time while the backup task is running

read more about task managing...

Tray Menu

Titan Backup offers you the ease of use of a tray menu. Right-click the tray icon and select the function you want to use:

  • Open Titan Backup: opens the main window, to create new tasks or manage existing tasks

  • Run Task: quickly run a previously created backup task by selecting from the list of saved tasks.

  • Run All Tasks: run all saved backup tasks.

  • Options: opens the Titan Backup options window.

  • Help: opens this help.

  • Shutdown: shuts down the main program (Titan Backup) and the tray program. When you start Titan Backup the tray will also automatically starts. It will be available until you shut it down.

See Also:

Create a backup task...

Restore data from a backup...

Schedule a backup task...

Set before/after task events...

Backup files, emails and rules, user settings...

Secure your backup with 256-bit AES strong encryption...


How to Create a Backup Task?

To create a backup task you have to follow a few simple steps:
  1. From the Welcome page click on the Backup link/icon. A wizard for backup creation will be opened.

  2. In the General Tab choose the Task Name and Archive/Folder Name.

  3. In the Source tab choose the content of your backup:

    • Files/Folders: click the Files & Folders icon and select the files and folders you want to include in the backup.

    • Registry Keys: click the Registry Keys icon and select the registry keys you want to include in the backup.

    • Email: click the Email icon and select the mails, contacts and rules you want to include for each mail client available.

    • User Settings: click the Users Settings icon and select the settings you want to include in the backup.

  4. In Destination tab choose where you want your backup to be saved:

    • Local Folder

    • Local Area Network (LAN Folder)

    • Removable disk device (Floppy, USB stick, Memory Card)

    • CD / DVD

    • Remote location using FTP

Based on the backup destination selected you will have to fill in additional info: e.g. username, password, etc.

  5. In the Options tab choose the compression & encryption settings and the backup type:

Compression Settings:

    • no compression

    • use Zip compression

    • self extracting archive

Encryption Settings:

  • no encryption

  • Zip password protection

  • AES encryption

Backup Type:

  • replace backup with version control or differential backup

  • stack backup

  6. Optional: In the Scheduler tab you can schedule the task to run:

    • on Windows Startup

    • on Windows Shutdown

    • on a certain Day of the week at startup, shutdown or at certain time.

    • on every X'th day at startup, shutdown or at certain time.

    • on every X'th hour beginning at certain time.

  7. Optional: In the Events tab choose an event:

    • run application before task starts

    • run application after task ends

    • notify on errors - show window, play sound or/and send email

    • notify on warnings - show window, play sound or/and send email

    • notify on summary - show window, play sound or/and send email

    • verify backup

To read more on Backup Tasks click here.


How to Create a Sync Task?

To create a Sync Task you have to follow a few simple steps:

  1. From the My Tasks window click on the New Sync button. A wizard for synchronize creation will be opened.

  2. In the General Tab choose the Task Name.

  3. In the First Location tab choose the content of your synchronize operation:

    • Files/Folders: click the Files & Folders icon and select the files and folders you want to include in the synchronize process.

  4. In Second Location tab choose where you want your files to be mirrored:

    • Local Folder

    • Local Area Network (LAN Folder)

    • Removable disk device (Floppy, USB stick, Memory Card)

    • CD / DVD

    • Remote location using FTP

Based on the selection you will have to fill in additional info: e.g. username, password, etc.

  5. In the Options tab choose the conflict settings:

Compare Mode:

    • Date

    • Date & CRC

    • Ignore deleted files

Conflict Resolution:

  • Prompt and Wait

  • Prompt for 5 minutes

  • No Prompt

  • Prompt for deleted files

Conflict Window Default Action:

  • Copy newest file

  • Copy oldest file

  • Copy file from first location

  • Copy file from second location

Click here for more details on these options...

  6. Optional: In the Scheduler tab you can schedule the task to run:

    • on Windows Startup

    • on Windows Shutdown

    • on a certain Day of the week at startup, shutdown or at certain time.

    • on every X'th day at startup, shutdown or at certain time.

    • on every X'th hour beginning at certain time.

  7. Optional: In the Events tab choose an event:

    • run application before task starts

    • run application after task ends

    • notify on errors - show window, play sound or/and send email

    • notify on warnings - show window, play sound or/and send email

    • notify on summary - show window, play sound or/and send email

To read more on Sync Tasks click here.


How to manage previously created tasks?

To manage your existing backup or Sync Tasks Titan Backup comes with a unique task manager.

The task manager window is divided into 5 main sections:

Main Menu Section:

Task Menu

From this menu you can do the following:

New Backup Task - you'll be taken to the wizard to create a new backup task.

New Sync Task - you'll be taken to the wizard to create a new sync task.

Edit Task - you will be taken to edit task wizard.

Duplicate Task - you can duplicate an already existing task using this function: a new task with a different default name will be created; the new created task will have the same properties as the original task: source, destinations, options etc.

Delete Task - click on a task from the tasks list below and click "Delete". Note: delete task cannot be undone.

Start Backup/Start Sync - click on a task from the tasks list below and click "Start Backup"/"Start Sync" from the menu to start running a backup task or a Sync Task.

Restore - click on a task from the tasks list below and click "Restore" to restore the backuped data to their original location.

Restore To - click on a task from the tasks list below and click "Restore To" to restore the backuped data to a location of your choice.

Import Task - you can import a previously created task (the detailed information of a backup task, not the backuped files) so that you can later choose to run it.

Decrypt Archive - you can decrypt a backup archives previously created with Titan Backup. The result will be a zip archive. Note: this is not a restore operation!

Erase CD/DVD - This option will allow you to erase the CD/DVD before a backup operation. You can decide if you want a quick erase or a full erase. This option is for re-writable CD/DVD only!

Options - launches the Options window.

Close - closes the main Titan Backup window. The application will still be running in tray if there is any task scheduled for later run.

View Menu

Refresh Task List - refreshes the task list so you can see the latest changes of the tasks.

Local Files Panel - opens/closes the Local Files Panel.

Task Log - open the log window for a selected task.

General Log - open the general log window

Welcome Screen - opens the Welcome Screen and closes the current window.

Tasks List:

With Titan Backup you can easily view the entire list of tasks and summary information for each backup or Sync Task in the Tasks List:

The Backup Tasks list has 3 columns:

Name - displays the name of the task with a suggestive icon next to it. The icon makes it easy to identify the task type, backup or synchronize, the destination/second location of the task: local folder, LAN folder, CD/DVD, removable device or FTP.

Last Run Time - displays the last time when the task has run under the following format: dd/mm/yyyy - hh:mm:ss pm/am. If this column is free for a certain task means that the task has never run.

Next Run Time - if the task is scheduled to run at a specific time/date in this column there will be displayed the time/date when the task should run next.

Progress/Status - while the task runs, in this column, Titan Backup will show the progress and the status of the backup or synchronize operation.

Above this list there is a toolbar with quick launch buttons for all operations you can do on a task:

New Backup - opens the create new backup task wizard

New Sync - opens the create new Sync Task wizard

Edit Task - opens the backup/Sync Task wizard in editing mode for a task selected from the Tasks list.

Delete - removes a selected task from the Tasks list.

Refresh - refreshes the list of tasks.

Start Backup - begins the backup operation for the selected task. While the task is running, on this place the Stop button will be active. Use this if you want to terminate a backup operation without completing it.

Start Sync - begins the synchronize operation for the selected task. While the task is running, on this place the Stop button will be active. Use this if you want to terminate a synchronize operation without completing it.

Restore - begins a restore operation for the selected backup task. This button is active only if the task has run at least once.

Import Task - opens the dialog window to select and import a previously created task to the tasks list.

Options - launches the general options window of Titan Backup.

View Logs - opens the log window for the selected task, or you can select to open general log, which contains general task events.

Items in Task:

With Titan Backup you can easily see detailed information on the source files of a backup task in the Items in Task list.

In this area you can see all the source items of a task selected from the Backup Tasks list. The source files are grouped into 4 categories as follows: Files & Folders, Registry Keys, Mails and User Settings.
For each item in the task you can view the following information:

Name - displays the name of the item in the source of the backup task.

Status - Titan Backup has uses colors to help you identify the status of a certain item in the backup task.

  • Identical - the item is identical in size and last update date in both source and destination of the backup.

  • Different - the items in the source and destination are different (they exist in both source and destination but the size or last updated time are different)

  • New - the item is found in the source of the backup but has not been backuped yet (does not exist in the destination).

  • Missing Source - The file exists in destination but it does no longer exist in the source of the backup task.

Local Size - displays the size of the item in the source location.

Local Time - displays the last updated time of the item in the source.

Stored Size - displays the size of the item in the destination.

Stored Time - displays the last updated time of the stored item (item in destination).

Above the list of Items in Backup task there are a few quick buttons that help you easily manage the items in the backup task:

Restore - quickly restore to the original location the items selected from the Items in Task list.

Restore To - quickly restore to a location of your choice the items selected from the Items in Task list.

Refresh - refresh the list of Items in Task so that you can see an up-to-date status of all items.

Remove - quickly remove the items selected from the Items in Task list. The items are removed from the source of the backup task - this means that the the removed items will no longer be included in the backup when running this task.

Local Files:

With Titan Backup you can easily add files/folders to your backup task with a simple drag & drop: drag the files and folders you want to add from the Local Files section and drop them over the Items in Task section.

In the Local Files area you can view several information on your local files and folders:

Name - the name of the file/folder.

Type - the type of the item: local folder, drive, removable disk, file.

Total Size - the total size of the folder or the size of the file.

Free Space - the amount of free space (in MB) on a certain drive.

Last Updated - the date/time of last update of the file/folder.

Status bar:

While a backup task is running you can see all the time the status of the backup task in the status bar:

- green: marks a successfully completed task.

- blue: marks that the backup or synchronize in progress.

- red: points out that the task was ended with errors or warnings.


How to Add Files to/from an Existing Task

How to Add/Remove Files to/from an Existing Task?

To add/remove files to/from and existing task you have to follow a few simple steps:

  1. From the Welcome page click on the My Tasks.

  2. Double-click the backup task or Sync Task you want to modify from the tasks list or right click and choose edit or click Edit Task button.

  3. Go to Source/First location tab.

  • to Add Files: Click the Files/Folder icon, select the files/folders you want to add and press OK button.

  • to Remove Files: Select the files/folders you want to remove and click the remove button in the upper right corner. To select more files/folders at once, hold shift key down and click the files/folders you want to select.

or

click the Files/Folder icon and uncheck the files and folders you don't want to include anymore in the task.

To read more on the Source files of a backup task click here.

To read more on the First Location of a Sync Task click here.


How to Restore from Backup

How to Restore from a Backup?

To restore files from backup you have to follow a few simple steps:

  1. From the Welcome page click on the Restore link/icon.

If the backup task is still in My Tasks list:

  2. From the list of current tasks choose the backup task you want to refer to. You will be able to see what was the last run time. If the task is a stack backup you can select which versions of the stacked copies you want to restore.

If the backup task exists in a different location (CD/DVD, other media support):

  3. Choose Select from previous backup option. Click Browse button to locate the previous backup.

  4. Click Restore button if you what to restore the files to original location or click Restore To button to choose a custom location where to restore the files.


How to Run a Task?

To run any task you have to follow a few simple steps:

  1. From the Welcome page click the My Tasks link/icon.

  2. In the main page from the tasks list choose the task you want to run. When you are over the task with your mouse, you can see a hint with detailed information about a task.

  3. Click Start Backup/Start Sync button, depending on your selection.

  4. You can see a pop-up window which notifies you that the task started, also you can see the progress percentage in the task-bar.


How to Schedule a Task?

To schedule a task (no matter what type of task) follow these steps:

  1. From the Welcome page click the My Tasks link/icon.

  2. In the main page from the tasks list choose the task you want to schedule and click edit task button or simply double-click the task name

  3. Go to Scheduler tab and choose when your task should run:

    • on Windows startup

    • on Windows shutdown

    • a one-time run

    • on a specific day of the week

    • run every specified day(s). You can also set the working days to be excluded from the count.

    • run every specified hour(s).


Command-line parameters

With Titan Backup you can use the following command-line parameters:

  • RUNTASK, followed by path to the .tbt file you want to run
  • RESTORE, followed by path to the .tbt file you want to restore
  • STARTUP, launch Titan Backup in system tray mode (Titan Backup icon appear in system tray)

Using Command Line parameters

To launch Titan Backup with command-line parameters, follow these steps:

  1. Open Command Prompt
  2. From the Command Window, change path to Titan Backup installation directory
  3. Now type TitanBackup.exe, followed by /param (where param is the command-line parameter) and path to the .tbt file, if required

Example:

In Command Prompt type:

{path_to_install_dir}\TitanBackup.exe /RUNTASK {path_to_install_dir}\Tasks\MyUserName\MyBackup11.tbt


Task Concept

The basic concept in Titan Backup is the Task concept.

There are two types of tasks used in the application:

  • backup task is a collection of information that defines a backup: the task name, the items that will be backed up, the location where the backup will be saved and backup options that will tell Titan Backup how to do the backup.
  • sync task is a collection of information that defines the synchronize operation between two locations. This operation is defined by: the task name, files/folders involved and sync options for conflict situations.

Titan Backup saves all this information in a .TBT file, saved in Tasks folder. This file is copied along with the backup every time you run the backup task. With the task concept Titan Backup automates your usual backup or synchronize operations so that you will not have to take the same steps every time you want to create a backup of your important data, or synchronize your folders, you will just create a task and run it. You can create as many tasks and change the information saved in a task. The saved task (.TBT file) can be used later to restore a certain backup, synchronize folders, or simply import an older task in your current task list.

A task can be a run-time task or a scheduled task. Titan Backup allows you to schedule your tasks so that they can run even in your absence.


Run a Task

Once you have created and saved a task, it is your choice when you want to run it:

  • you can run the task immediately: right after saving that task, Titan Backup asks you if you want to run the backup task.

  • you can manually run any task at any time: from the main Titan Backup window click My Tasks icon and from the list of your saved tasks choose the desired task and click Start Backup or Start Sync button.

  • you can also choose to automatically run your tasks - this way your presence in front of the computer is not required. To do this you need to schedule your tasks.


Schedule Tasks

Scheduling your tasks allows to automatically run tasks independent of your presence in front of the computer. This way you can go on vacation, leaving the computer running and Titan Backup will create your usual backups or synchronize your folders.

While the Windows' scheduling agent is quite advanced, it can be difficult to use. Titan Backup makes it easier for you to schedule your tasks from basic (such as running a task on a specified day and time) to very advanced settings.

The scheduler options can be set from the Scheduler tab of each created task; scheduler settings are specific for each task.

Titan Backup Scheduler options are:

  1. One time run - the task will run on the specified date and time. e.g. 01/01/2007 at 10:00 AM.

  2. Windows Startup - the task will run every time after Windows Starts up

  3. Windows Shutdown - the task will run every time before Windows Shuts down.

  4. Day of the week

- the task can run at a certain day of each week and at a specified time of the day - for this option you have to set:

    • on which days of the week you want the task to run: e.g. every Monday and Thursday

    • the moment of the day:

      • on windows startup

      • on windows shutdown

      • at a pre chosen hour of the day: e.g. 11:30 AM.

  5. Run every X days

- the task will run every X'th day at a specified time of the day - for this option you have to set:

    • number of days: e.g. choosing 2 means that the task will run every second day

    • the moment of the day:

      • on windows startup

      • on windows shutdown

      • at a pre chosen hour of the day: e.g. 11:30 AM.

    • the working days - the task will run only in the working days you set: e.g. choosing your working days to be Monday, Tuesday, Wednesday, Thursday and Friday and having the task set to run every 1 day, means that the task will run every day of the week except for Saturdays and Sundays.

  6. Run every X hour(s)

- the Task will run every X'th hour started at a specified time of day.

To enable this feature you will need to establish:

    • number of hours: Example: choosing 2 means that the Task will run every two hours
    • starting time
    • total tasks per day - you can select up to 24 tasks to run in one day (if "Run every 1 hour(s)" is selected). You can select total tasks per day for maximum 24 hours. For example, if you establish number of hours to 2, you can choose up to 12 tasks per day.
    • the working days (set backup days or set sync days) - the Task will run only in the working days you set: Example: choosing your working days to be Monday, Tuesday, Wednesday, Thursday and Friday, means that the task will run every day of the week except for Saturdays and Sundays.

An additional option of the Titan Backup scheduler is to reschedule task if missed: this means that if a task did not run because you din not have Titan Backup running at the moment when the task was scheduled, the next time Titan Backup is started the missed tasks will run.

Note: You need to have Titan Backup running in order to run the scheduled tasks. If the application is not running you can avoid missing scheduled tasks by choosing "reschedule backup if missed" option.


Task Events

Titan Backup allows you to select external programs to run before the backup starts or after it ends. Also there is the possibility to shut down the computer or log off automatically after the backup task is done.

Task Events

You can select what actions to be made before / after the task runs:

  1. Run before task starts - you can choose to automatically run an external program before task starts. This is very useful when the data that is about to be saved can/should be updated by an external aplication, or if that program must be stopped before the task starts.

    • use browse button to locate the application you want to run before task starts

    • you can choose to wait for the application to end before starting the task to be certain on the integrity of you data.

  2. Run after task ends - you can choose to automatically run any external application after task ends (backup is created).

    • use browse button to locate the application (s) you want to run after task ends.

  3. Shutdown computer after tasks ends - Titan Backup will automatically shutdown the computer after the backup is created.

  4. Log off computer after task ends - Titan backup will log off the computer after the backup is created but will not shutdown the computer

Task Notifications

You can select what types of notifications you want to receive.

  1. Notify on Errors - while a task is running some errors can occur and this will stop the task run. Titan Backup can notify you on such events in several ways:

    • Show window - a window will open notifying you that an error has occurred.

    • Play sound - a specific sound will be played notifying you that an error occurred.

    • Send email - an email will be sent (to the email address specified on General information of the task) notifying you that an error has occurred.

Examples of situation when errors occur: the storage device on which the backup should be created is not accessible ( backup is halted ).

  2. Notify on Warnings - when warnings occur while the task is running (task is still running), Titan Backup can:

    • Show window - a window will open notifying you that a warning occurred (but the task was not stopped by this).

    • Play sound - a specific sound will be played notifying you that a warning occurred (but the task was not stopped by this).

    • Send email - an email will be sent (to the email address specified on General information of the task) notifying you that a warning occurred (but the task was not stopped by this).

  3. Notify on Summary - after a backup task ends Titan Backup can create a summary of the operation. Choose the action that should be taken to notify you on the task summary (after the task was completed):

    2. Show window - a window will open notifying you on the summary.

    3. Play sound - a specific sound will be played notifying you on the summary.

    4. Send email - an email will be sent (to the email address specified on General information of the task) notifying you on the summary.

Note: the notification emails are sent using a SMTP server of your choice: this must be specified in the emails settings of the Titan Backup Options.


Import Task

Import will add an older task ( identified by the .TBT file) to your current tasks list.

This operation is not a restore operation. It will not copy the files from the archive to their original location. It will only import the details of a task, and you can later use it to backup or restore. It is useful if lost your tasks.

Note: every time you run a backup task, the task (.TBT file) is saved along with the backup.

To import a task follow these steps:

  1. From the Welcome page click My Backup Tasks icon/link.

  2. In the main window click the Import Task toolbar button

  3. Browse for the task you want to import (.TBT file) and click Open button.


Create New Backup Task

In order to create a backup of your files first you have to define a Backup Task. This task is a collection of informations such as backup name, items to backup, backup location, storage media etc. Once you created your backup task you can run this task any time you want.

To create a backup task you have to follow a few simple steps:

  1. From the Welcome page click on the Backup link/icon. A wizard will open.

  2. In the General Tab fill in the necessary fields:

    • the Task Name - to easily identify the task in the tasks list

    • Archive/Folder Name - the name of the backup file archive if you are using compression or the folder name if the backup is created without compression

    • Description - a brief description that might help you identify better the task in the future.

    • Notification email - an email address where all Titan Backup notifications should be sent to. e.g. notifications when the tasks stops on error.

  3. In the Source tab choose the content of your backup:

    • Files/Folders: click the Files & Folders icon and select the files and folders you want to include in the backup.

    • Registry Keys: click the Registry Keys icon and select the registry keys you want to include in the backup.

    • Mails: click the Mails icon and select the mails, contacts and rules you want to include for each mail client available.

    • User Settings: click the Users Settings icon and select the settings you want to include in the backup.

  4. In Destination tab choose where you want your backup to be saved:

    • Local Folder - Choose a local folder where the backup will be created.

    • Local Area Network (LAN Folder) - Choose the LAN Folder where the backup will be created.

    • Removable Disk Device (Floppy, USB stick, Memory Card) - Choose a device from the drop-down of available removable disk devices then choose an existent folder on this device.

    • CD / DVD - Choose the CD/DVD drive and a folder on this drive. You can choose to erase the CD/DVD before backup Note: the CD must be re-writable in order to erase it before backup.

    • Remote location using FTP - Fill in the information necessary for a FTP connection or choose from the list of saved FTP Connections.

  5. In the Options tab choose the compression & encryption settings and the backup type:

Compression Settings:

    • no compression

    • use Zip compression (default)

    • self extracting archive

Encryption Settings:

  • no encryption (default)

  • Zip password protection

  • AES encryption

Backup Type:

  • replace backup ( incremental or differential backup )

  • stack backup

  6. Optional: In the Scheduler tab you can schedule the task to run:

    • on Windows Startup

    • on Windows Shutdown

    • on a certain Day of the week at startup, shutdown or at certain time.

    • on every X'th day at startup, shutdown or at certain time.

    • on every X'th hour

  7. Optional: In the Events tab choose an event:

    • run an external application before the task starts

    • run an external application after the task ends

    • notify on errors - show window, play sound or/and send email

    • notify on warnings - show window, play sound or/and send email

    • notify on summary - show window, play sound or/and send email


Restore from Backup

A user creates backups to make sure that important files won't get lost in case of a crash. However a user might want to restore to a previous version even if no tragic event happened. For example if you experience a hard drive failure you might need to restore all your files from a previously backed up version, but if there was no crash you may simply want to revert a single file to a previous state. Titan Backup helps you restore the entire archive or only selected items from a backup to their original location or to a different location. It also offers a visual compare tool to see differences between the current version of the file and the archived version.

Restore all items from a backup, from the list of current tasks

You have several possibilities to restore all files based on the current tasks list (available by clicking My Tasks in the Titan Backup main window):

1.

  • From the welcome page click Restore link/icon.

  • Choose Restore an entire backup

  • Locate the task you want to restore files from in the current tasks list. Expand the item to see what was the last run time, if the task is a stack backup, you can select which version of stacked copies you want to restore.

At the bottom of the window you will see details of the selected task: Backup Name, Archive File/Folder Name, Original Location, Description.

  • Use Restore button to restore all items from the selected task to their original location.

  • Use Restore to button to restore all items from the selected task to a custom location.

  2. From the welcome page click My Tasks link/icon.

  • Locate the task you want to restore files from in the tasks list.

  • Click Restore button in the toolbar.

  • Choose Restore an entire backup.

Restore all items from a previous backup, when the task is no longer in your current task list

In case of a hard drive failure you might have lost the backup tasks from the current tasks list. You will probably have to install Titan Backup on a fresh Windows installation, and you task list will be empty.

The backup task itself, identified by a .TBT file, was saved along with the actual backup files, therefore you can easily restore your task too using Titan Backup. You can make a complete restore, that will also import the task list into your current list of tasks, or you can first import the task manually, and restore only specific files individually.

To restore all the files from a previous backup (backup task is located on external media) follow these steps:

  • From the welcome page click Restore link/icon.

  • Choose Restore an entire backup

  • Mark Select from previous backup radio button.

  • Use Browse button to locate the saved backup task (.TBT file) and the archive/backuped files.

You can choose to import the task to the current tasks list by marking the appropriate checkbox but this is not mandatory unless you want to have the task added to your current tasks list ( and be able to make similar backup in the future)

At the bottom you will see details of the selected task: Backup Name, Archive File/Folder Name, Original Location, Description.

  • Use Restore button to restore all items from the selected task to their original location.

  • Use Restore to button to restore all items from the selected task to a different location.

Restore only specified items from a previous backup

  • From the main page click My Tasks link/icon.

  • Locate the task you want to restore files from in the tasks list.

  • Click on Advanced View

  • In the Items in Backup section (bottom-right) select the files and folders you want to restore.

  • Use Restore button to restore the selected items to their original location.

  • Use Restore to button to restore the selected items to a different location.


Backup Source

With Titan Backup you can create backups of your most important files and folders, registry keys, email and mail settings and general user settings. Titan Backup can create backups of email and mails settings of the following mail clients: Microsoft Office Outlook, Outlook Express, Eudora, Opera Mail, Mozilla Thunderbird.

When you create a new backup task you need to define the source files of your backup: the collection of files and folders, registry keys, email and settings that you want to backup. This can be done in the Source tab of the backup task wizard.

You can see what you have chosen under Selected Items list. The items in your backup are organized by the main categories: Files & Folders, Registry Keys, Mails and User Settings.

To add the new items to the backup source list click on the top toolbar buttons: and then select the items you want to include in the backup by marking the check boxes next to each item:

The green check means that the item will be include in the backup.

You can remove any item from this list by selecting the item and then clicking the Remove button on the upper right corner.

The source items are displayed in a tree view, that shows also the original structure of that item. The actual selected item will have a colored icon, and the entire path to it will be presented in gray icons ( a gray icon represents a sub-structure that will not be entirely saved, only the parts of it, that have a colored icon ).

Titan Backup offers you the possibility to filter the files and folders selected as source of your backup: set up inclusion or exclusion masks. A mask is a predefined list of file extensions that can be used as reference in filtering the source files. You can apply an inclusion or exclusion mask to your files or define searchable mask as source of your backup.

  • inclusion masks: when you apply an inclusion mask you choose to include in the backup only the file types that are defined in the mask.

  • exclusion masks: when you apply an exclusion mask you choose to backup all the source files except the file types defined in the mask.

To apply an inclusion/exclusion mask to the source files of a backup task follow these steps:

  1. From the Source tab click Files/Folders button

  2. Click Files Mask button.

  3. Choose an inclusion or/and an exclusion mask to apply from the list of masks (click >> button to see this list).

  4. Click Add button to add the mask to the list of applied masks (you can apply more then one mask at the same time).

  5. Click Replace button to replace the current list of applied masks with the new selected mask.

To read more about inclusion/exclusion masks click here.

You can also define a searchable mask as your Backup source. When you define searchable mask as source of your Backup, the task scan you system for files defined in the mask. Searchable Mask is a predefined list of file extensions that can be used as reference in scanning process.

In this way, you can for example backup all you music files from your PC.

To select a searchable mask as source of a Backup task follow these steps:

  1. From the Source tab click Files/Folders button.
  2. From Select files and folders window select searchable mask you want to backup.
  3. You can select any files and folders, then click OK.

Note: Searchable masks are used only on backup process.

To read more about searchable masks click here.

You can also backup the following user settings using Titan Backup:

  • Microsoft Windows Settings

    • Desktop Wallpapers

    • Advanced Settings

    • Appearance Settings

    • Connection Settings

    • International Settings

    • Keyboard Settings

    • Mouse Settings

    • Media Settings

    • Mouse Settings

    • Power Settings

  • Desktop Links

  • Windows Address Book (WAB)

  • Internet Explorer

    • Settings

    • Favorites

    • Cookies

  • Opera

    • Settings

    • Bookmarks

    • Cookies

  • Mozilla Firefox

    • Settings

    • Bookmarks

    • Cookies

  • Windows Fonts

Note: future versions will contain more plugins that will allow you to save settings for more applications. Check our website for updates and new releases.


Local Folder - backup

Local Folder

To save a backup on a local folder, follow these steps:

  1. Create a new backup (click Backup button from the welcome page) or Edit an existing backup (click My Tasks from the welcome page then double-click the task you want to edit from the tasks list).

  2. Go to Destination tab and mark Local Folder radio button.

  3. Select the local folder you want as your backup destination: type in the exact path (e.g. C:\Program Files\Titan Backup\Backup) or click browse button to locate the exact folder on your computer. If you specify a folder name that doesn't exist, the folder will be created on execution.


Local Area Network (LAN Folder) - backup

Local Area Network (LAN Folder)

To save a backup over the local network, follow these steps:

  1. Create a new backup (click Backup button from the welcome page) or Edit an existing backup (click My Tasks from the welcome page then double-click the task you want to edit from the tasks list).

  2. Go to Destination tab and mark Local Area Network (LAN Folder) radio button.

  3. Select the LAN folder you want as your backup destination: type in the exact path (e.g. \\BackupComputer\MyBackups) or click browse button to locate the exact folder on your computer. If the destination LAN Folder is a password protected folder you need to mark the "Folder is password protected" checkbox and fill in the username and password. For security reasons, if the task is edited by anyone, the password is not visible, but you can change it, by clicking the "Change password" button.

    If you specify a folder name that doesn't exist, the folder will be created.

    Note: make sure you have full-rights on the remote network location!


Removable Disk Device - backup

Removable Disk Device

With Titan Backup you can create a backup on any Removable Disk Device you can connect to your computer. You can create backups on USB sticks, memory sticks, flash memory, floppy disks, ZIP disks, JAZ, etc. To use this option follow these steps:

  1. Create a new backup (click Backup button from the welcome page) or Edit an existing backup (click My Tasks from the welcome page then double-click the task you want to edit from the tasks list).

  2. Go to Destination tab and mark Removable Disk Device radio button.

  3. Select the drive corresponding to your removable disk device from the dropdown with the available drives.

  4. Fill in the name of the folder destination of your backup. Use browse button to locate an existent folder on the removable disk device.

Note: If the folder you typed in doesn't exist yet, it will be created on execution.

Optional:

  • You can choose to format the disk device before backup - in order to use this option the removable media device must allow formatting.


CD/DVD

To create backups CD/DVD (DVD±RW/DVD±R/DVD-RAM/CD-R/CD-RW), follow these steps:

  1. Create a new backup (click Backup button from the welcome page) or Edit an existing backup (click My Tasks from the welcome page then double-click the task you want to edit from the tasks list).

  2. Go to Destination tab and mark CD/DVD radio button.

  3. Select the drive corresponding to your CD/DVD from the dropdown with the available drives.

  4. Fill in the name of the folder destination of your backup. Use browse button to locate an existent folder on the CD/DVD. If you specify a folder name that doesn't exist yet, the folder will be created on execution.

Optional:

  • You can choose to erase the CD/DVD before backup. You can decide if you want a quick erase or a full erase. This option is for re-writable CD/DVD only!

  • You can also choose to split the backup file (in the Options tab) - with this option selected, Titan Backup will split the backup file in files of a maximum predefined size.

  • You can specify a label pattern for your backup, in this label you can use these variables:

    %BACKUPNAME% - this will be replaced with the name of your backup task

    %BACKUPDATE% - this will be replaced with the date when the backup is started

    %BACKUPNUMBER% - how many times the task ran


Remote Location Using FTP - backup

Remote Location Using FTP

To create a backup on a Remote Location using FTP, follow these steps:

  1. Create a new backup (click Backup button from the welcome page) or Edit an existing backup (click My Tasks from the welcome page then double-click the task you want to edit from the tasks list).

  2. Go to Destination tab and mark Remote Location Using FTP radio button.

  3. Fill in the information necessary for a FTP connection or choose from the list of saved FTP Connections:

a. Fill in information for a new FTP connection:

  • host name/IP address of the FTP server - e.g. www.mywebsite.com

  • choose port used (default is 21)

  • username and password. Note: Make sure that your user has necessary rights to write on the FTP location. ( if you don't type your password, you will be asked to enter the password on each execution). For security reasons, if the task is edited by anyone, the password is not visible, but you can change it, by clicking to a "Change password" button.

  • initial remote directory - this should be an already existent folder on the FTP where the backup will be created.

  • check Passive mode and/or Use proxy if necessary.

  • Test your connection by clicking Test Connection button before you start the backup. If you want to have this FTP connection for future use save it by clicking Save Connection button.

  • b. Use an FTP connection from the list of existing connections:

    • click FTP Connections button

    • click a connection name from the list of saved FTP connections that pops up.


Backup Options

Titan Backup offers you a set of options so that you can choose the combination that suites you best. Titan Backup options are organized into 2 categories: compression & encryption and backup type options.

Compression & Encryption

Titan Backup offers several compression and encryption options to secure your backup files. These options are editable from the Options tab of the create backup/edit backup task wizard:

Compression:

  1. no compression -offers the advantage of a faster backup process, but the disadvantage of more disk space requirements. Also if a file gets corrupted the integrity of the entire backup is not compromised.

  2. use Zip compression - use this if you want Titan Backup to generate a zip backup file so that you spare disk space. Titan Backup doesn't use proprietary archive formats like other backup programs do. It uses the standard Zip file format. This makes it very easy to restore data manually form the backup archive even if Titan Backup is not installed.

For this option you can choose the compression quality: move the slider from Low to high in order to set the compression rate. Low means worse compression rate but best speed and High means best compression rate but slow speed.

You can choose to create self-extracting archives that will allow you to unzip even if you don't have a compression tool. Self-extracting archives cannot be larger than 4 GB (Windows cannot work with .exe files that are larger than 4 GB). You can use incremental and differential options for a zipped backup, to any destinations (FTP, CD/DVD, etc.).

You can choose to split your archive in chunks of predefined size. This is useful if you plan to write the archives on several CDs.

Also, you can span a backup to multiple partitions, if you don't have enough space in one of these partitions, but the sum of the free spaces is enough to backup your compressed source in these partitions. For example, you can set as destination C:\First Folder;D:\Second Folder;E:\Third Folder (destinations must be separated by semicolon). You can use spanning only with compressed backup, you must be checked "Use Zip compression" in the Options tab, with Replace backup (incremental and differential backup must be unchecked).

Encryption:

  1. no encryption - this option is set by default

  2. Zip password protected - with this option selected Titan Backup will backup your files in a password protected zip file. You have to fill in the password and retype it for confirmation.

  3. AES Encryption - Titan Backup offers also military strength 256-bit AES strong encryption to protect your privacy. With this option selected Titan Backup will backup your files in a Zip, and then it will encrypt the entire archive. You need to provide a password to protect the encrypted file. If you don't provide this when you create the backup task, you will be asked for a password when the backup is created and every time the backup task runs.

    4. For security reasons, if you edit the task, the password is not visible, but you can change it, by clicking to "Change Password" button.

Backup Type

A backup task usually runs more then once. This raises the question of what to do with the previously created backups. Titan Backup offers 2 ways to handle this. You can choose your preferences in the Backup Type section of the Options tab while editing any backup task.

  1. Replace Backup - with this option selected, when the application encounters an existing backup for the same task the new backup will replace the old one.

With this selection you have 2 additional options available:

  • Version control - with this option only the changed files will be saved

  • Differential backup - with this option you will delete the files from the backup and that don't exist anymore in the source of your backup.

  2. Stack Backup - with this option selected, the Titan Backup creates different stacked copies with date tags. With this option you can choose to keep only the latest copies by marking the "keep only the last X versions".


Searchable Mask

Searchable Masks

Titan Backup offers you the possibility to backup files of any type from your entire harddisk. Searchable Mask is an easy way to scan for certain category of files without having to manually check all the partitions from your harddisk. Searchable Mask is a predefined list of file extensions that can be used as reference in scanning process.

Note: Searchable Masks are applied only for backup Tasks.

For example, you can backup your Picture files from your harddisk. You need to create a backup with Picture files mask as Source. When the task run, it search for any pictures on your harddisk, and save them to Destination folder.

Select searchable masks as Source of your backup Tasks

  1. From the Source tab of the New Backup or Edit Task wizard click on Files/Folders button
  2. Select the file types you want to backup from your harddisk, for example Picture files and Music files. Also, you can select files or folders.
  3. Press OK and the selected masks appears in your source list.
  4. Continue with the New Backup/Edit Task process.

Delete searchable masks from your Backup Source

    From the Source tab of the New Backup or Edit Task wizard select the mask you want to delete and click on Delete button or click on Files/Folders button and uncheck the mask you want to delete.

You can manage the mask lists from the menu Options -> Masks page, by selecting Searchable Masks entry from a masks list. Titan Backup offers a set of pre-defined masks, however you may also create your own masks.

The masks you define in Options -> Masks may be applied to any Backup Task you create.

To read more about how to manage your masks, click here.

Note: Masks are applied only on Files and Folders.

Predefined Masks:

  1. Productivity files
 - *.cdt; *.cpt; *.csv; *.dbf; *.doc; *.dot; *.dwq; *.indd; *.indt; *.mpp;
 *.mst; *.pat; *.pdf; *.pmd; *.pps; *.ppt; *.pub; *.qpw; *.qxd; *.qxt;
 *.rtf; *.scx; *.sxd; *.sxi; *.sxw; *.vsd; *.wcm; *.wks; *.wpd; *.wpg;
 *.wps; *.wpt; *.cls

  2. Financial files
 - *.mbf; *.mny; *.ofc; *.q00; *.q01; *.q02; *.q03; *.q04; *.q05; *.q98;
 *.qba; *.qbb; *.qbi; *.qbw; *.qbx; *.qdb; *.qdf; *.qdt; *.qif; *.t01;
 *.t02; *.t03; *.t04; *.t05; *.ta0; *.ta1; *.ta2; *.ta3; *.ta4; *.ta5;
 *.ta6; *.ta7; *.ta8; *.ta9; *.tax

  3. Picture files
 - *.ai; *.ait; *.ani; *.art; *.att; *.b3d; *.bmp; *.cam; *.can; *.cdr;
 *.cgm; *.cin; *.clp; *.cmt; *.cr2; *.crw; *.cur; *.dcm; *.dcr; *.dds;
 *.dib; *.djw; *.drz; *.dxf; *.emf; *.epfs; *.eps; *.fax; *.fcx; *.fi;
 *.fmf; *.fpx; *.ftf

  4. Music files
 - *.669; *.aac; *.acp; *.aif; *.aiff; *.aifc; *.amf; *.amr; *.apl; *.asx;
 *.atrac; *.au; *.bwf; *.cda; *.far; *.flac; *.it; *.itz; *.kar; *.m3u;
 *.m3url; *.m4a; *.mdz; *.mid; *.midi; *.miz; *.mod; *.mp1; *.mp2; *.mp3;
 *.mpga; *.mtm

  5. Video files
 - *.3g2; *.3gp; *.3gp2; *.3gpp; *.amc; *.asf; *.avi; *.cdda; *.dif; *.dv;
 *.dvr-ms; *.flc; *.fl!; *.ivf; *.m15; *.m1v; *.m2v; *.m4e; *.m4v; *.m75;
 *.mlv; *.mp2v; *.mp4; *.mpe; *.mpeg; *.mpg; *.mpm; *.mps; *.mpv2; *.mswmm;
 *.nsv; *.qt; *.qtl; *.qts; *.rm; *.rmvb; *.rts; *.rtsp; *.rv; *.sdv; *.swf;
 *.vfw; *.wm; *.wmd; *.wmv; *.wvx


Create New Sync Task

In order to create a synchronize operation with your files first you have to define a Sync Task. This task is a collection of informations such as synchronize name, items defined in this operation, locations, conflict decisions etc. Once you created your Sync Task you can run this task any time you want.

To create a Sync Task you have to follow a few simple steps:

  1. From the My Tasks page click on the New Sync button. A wizard will open.

  2. In the General Tab fill in the necessary fields:

    • the Task Name - to easily identify the task in the tasks list

    • Description - a brief description that might help you identify better the task in the future.

    • Notification email - an email address where all Titan Backup notifications should be sent to. e.g. notifications when the tasks stops on error.

  3. In the First Location tab choose the content of your synchronize operation:

    • Files/Folders: click the Files & Folders icon and select the files and folders you want to include in the synchronize.

  4. In Second Location tab choose where you want your informations to be synchronized:

    • Local Folder - Choose a local folder where the selected files from the First Location will be copied.

    • Local Area Network (LAN Folder) - Choose the LAN Folder where the synchronize files/folders will be copied.

    • Removable Disk Device (Floppy, USB stick, Memory Card) - Choose a device from the drop-down list of available removable disk devices then choose an existent folder on this device.

    • CD / DVD - This option is disabled as you cannot synchronize files on a CD/DVD.

    • Remote location using FTP - Fill in the information necessary for a FTP connection or choose from the list of saved FTP Connections.

  5. In the Options tab choose the conflict settings:

Compare Mode:

    • Date

    • Date & CRC (default)

    • Ignore deleted files

Conflict Resolution:

  • Prompt and Wait (default)

  • Prompt for 5 minutes

  • No Prompt

  • Prompt for deleted files

Conflict Window Default Action:

  • Copy newest file (default)

  • Copy oldest file

  • Copy file from first location

  • Copy file from second location

Click here for more details on these options...

  6. Optional: In the Scheduler tab you can schedule the task to run:

    • on Windows Startup

    • on Windows Shutdown

    • on a certain Day of the week at startup, shutdown or at certain time.

    • on every X'th day at startup, shutdown or at certain time.

    • on every X'th hour at certain days.

  7. Optional: In the Events tab choose an event:

    • run an external application before the task starts

    • run an external application after the task ends

    • notify on errors - show window, play sound or/and send email

    • notify on warnings - show window, play sound or/and send email

    • notify on summary - show window, play sound or/and send email


First Location

With Titan Backup you can create synchronize operations between multiple files and folders on your system.

When you create a new Sync Task you need to define the base files and folders of this operation on your first location. This can be done in the First Location tab of the Sync Task wizard.

You can see what you have chosen under Selected Items list.

To add new items to the synchronize first location list click on the "Files/Folders" button and then select the items you want to include in the operation by marking the check boxes next to each item:

The green check means that the item will be included in the operation.

You can remove any item from this list by selecting the item and then clicking the Remove button on the upper right corner.

At the bottom of the First Location tab there are two options:

  • Do not retain base path structure ( for single folder sync ) - defines a "one to one" operation type, synchronizing the selected folder without recreating in the second location the original folder structure.

  • Retain base path structure ( for multiple folders sync ) - defines a "many to one" operation type, synchronizing the selected folders in a structure similar to the original. It will create the entire path structure for each folder in the second location.

The items are displayed in a tree view, that shows also the original structure of that item. The actual selected item will have a colored icon, and the entire path to it will be presented in gray icons ( a gray icon represents a sub-structure that will not be entirely saved, only the parts of it, that have a colored icon ).

Titan Backup offers you the possibility to filter the files and folders in your sync locations. A mask is a predefined list of file extensions that can be used as a reference in the files filtering process. You can apply an inclusion or exclusion mask to your files:

  • inclusion masks: when you apply an inclusion mask you choose to include in the synchronize operation only the file types that are defined in the mask.

  • exclusion masks: when you apply an exclusion mask you choose to synchronize all the files from the first location except the file types defined in the mask.

To apply a mask on the files defined on first location follow these steps:

  1. From the First Location tab click Files/Folders button

  2. From the Select files and folders window click on Files Mask button

  3. Choose an inclusion or/and an exclusion mask to apply from the list of masks (click >> button to see this list): click Add button to add the mask to the list of applied masks (you can apply more then one mask at the same time), click Replace button to replace the current list of applied masks with the new selected mask.

To read more about inclusion and exclusion masks click here.


Local Folder - sync

Local Folder

To sync files and folder to a local folder, follow these steps:

  1. Create a new Sync Task (click New Sync button from the My Tasks page) or Edit an existing task (double-click the task you want to edit from the tasks list from the My Tasks page).

  2. Go to Second Location tab and mark Local Folder radio button.

  3. Select the local folder you want as your second location: type in the exact path (e.g. C:\Program Files\Titan Backup\Sync_Destination) or click browse button to locate the exact folder on your computer. If you specify a folder name that doesn't exist, the folder will be automatically created on execution.


Local Area Network (LAN Folder) - sync

Local Area Network (LAN Folder)

To sync files and folder over a local network, follow these steps:

  1. Create a new Sync Task (click New Sync button from the My Tasks page) or Edit an existing task (double-click the task you want to edit from the tasks list from the My Tasks page).

  2. Go to Second Location tab and mark Local Area Network radio button.

  3. Select the LAN folder you want as your second location: type in the exact path (e.g. \\BackupComputer\MySync) or click browse button to locate the exact folder on your computer. If the destination LAN Folder is a password protected folder you need to mark the "Folder is password protected" checkbox and fill in the username and password. If you specify a folder name that doesn't exist, the folder will be created.
    Note: make sure you have full-rights on the remote network location.


Removable Disk Device - sync

Removable Disk Device

With Titan Backup you can sync files and folder to any Removable Disk Device you can connect to your computer. You can operate on USB sticks, memory sticks, flash memory, floppy disks, ZIP disks, JAZ, etc. To use this option follow these steps:

  1. Create a new Sync Task (click New Sync button from the My Tasks page) or Edit an existing task (double-click the task you want to edit from the tasks list from the My Tasks page).

  2. Go to Second Location tab and mark Removable disk device radio button.

  3. Select the drive corresponding to your removable disk device from the drop-down list with the available drives.

  4. Fill in the name of the second location folder of your synchronize. Use browse button to locate an existent folder on the removable disk device.

Note: If the folder you typed in doesn't exist yet, it will be created on execution.

Optional:

  • You can choose to format the disk device before using it first time - in order to use this option the removable media device must allow formatting.

  • You can also choose to split the backup file - with this option selected, Titan Backup will split the backup file in files of a maximum predefined size.


Remote Location Using FTP - sync

Remote Location Using FTP

To sync files and folder to a Remote Location using FTP, follow these steps:

  1. Create a new Sync Task (click New Sync button from the My Tasks page) or Edit an existing task (double-click the task you want to edit from the tasks list from the My Tasks page).

  2. Go to Second Location tab and mark Remote location using FTP radio button.

  3. Fill in the information necessary for a FTP connection or choose from the list of saved FTP Connections:

a. Fill in information for a new FTP connection:

  • host name/IP address of the FTP server - e.g. www.mywebsite.com

  • choose port used (default is 21)

  • username and password. Note: Make sure that your user has necessary rights to write on the FTP location. ( if you don't type your password, you will be asked to enter the password on each execution ). For security reasons, if the task is edited, the passwords is not visible, but you can change it.

  • initial remote directory - this should be an already existent folder on the FTP where the second location directory will be created.

  • check Passive mode and/or Use proxy if necessary.

  • Test your connection by clicking Test Connection button before you start the operation. If you want to have this FTP connection for future use save it by clicking Save Connection button.

  • b. Use an FTP connection from the list of existing connections:

    • click FTP Connections button

    • click a connection name from the list of saved FTP connections that pops up.

    Test your connection by clicking Test Connection button before you start the operation. If you want to have this FTP connection for future use save it by clicking Save Connection button.

    b. Use an FTP connection from the list of existing connections:

    • click FTP Connections button

    • click a connection name from the list of saved FTP connections that pops up.


Sync Options

The Sync Task offers you a set of options so that you can choose the combination that suites the operation best.

Conflict Settings

When using Sync Tasks you may sometimes face a conflict - for example when a file has been modified on both locations. Titan Backup offers a set of options to let you resolve these conflicts as you wish:

Compare Mode:

These options define how Titan Backup determines a conflict.

  1. Date - when this option is selected, the compare method used in determining the modified files from both First and Second locations is the file date.

  2. Date & CRC - use this option if you want to prevent the situation of having same files, same date but a different content. Note that this situation is extremely rare.

  3. Ignore deleted files - using this option will ignore all the files deleted from both locations and will not force the application or the user to solve the deleted conflict. Having this option selected the application will automatically cancel the previously selected "Prompt for deleted files" option.

Conflict Resolution:

These options define what Titan Backup should do if there's a conflict.

  1. Prompt and Wait - this option will show the Conflict Window when needed

  2. Prompt for 5 minutes - this option will show the Conflict Window and will wait for 5 minutes. After 5 minutes the window will close solving the conflicts accordingly to the Conflict Window Default Action selection.

  3. No Prompt - even if there is a conflict situation there will be no window to pop up, however the conflict is solved automatically using the Conflict Window Default Action selection.

  4. Prompt for deleted files - this option will prevent the application to automatically solve the deleted files conflict, the user will have full control on this operation.

Conflict Window Default Action:

These options define what should be the default action in the prompt window.

  1. Copy newest files - with this option selected the default action on Conflict Window will determine only the newest files to be copied on both locations.

  2. Copy oldest files - - with this option selected the default action on Conflict Window will determine only the oldest files to be copied on both locations.

  3. Copy file from first location - on a conflict situation the files from first location will have priority.

  4. Copy file from second location - on a conflict situation the files from second location will have priority.


Editing a Sync Task

You may modify or edit an existing Sync Task by highlighting the Task from the Task List and:

  1. Clicking the Edit Task button on left
  2. Double clicking the highlighted Task
  3. Selecting Edit Task from the File Menu

Please note:

Sync Task actions are based upon the history of the First and Second Locations after the initial running of the Task.

For example:

When the Task is first set up (before actually running the Task), we have 5 files in the First Location and 3 files in the Second Location (Note: We have selected under the Options Tab “Ignore Deleted Files” when originally setting up the Task).

Now we run the Sync Task the first time. We now have 5 files in both locations.

Now if we delete a file from the First Location and add two new files to the Second Location

and run the Task, this will occur:

- The First Location will have 4 original files + the two new files from the Second Location

- The Second Location will have: 5 original files + the 2 new files

Note: No file was deleted because we have chosen to Ignore Deleted Files.

The above running of the Task takes into account the history of actions associated with the First and Second Locations.

Now if this Sync Task is edited in any way (for example: Add email notification on Summary), the history is lost.

The next time the Task is run (since there is no history of any deletion), this will be the result:

First Location: Original 4 files Original 1 file copied from the Second Location (there is no history of a deletion) Two New files copied from the Second Location Total files: 7

The Second Location will not be modified in this example as there is nothing to copy from the First Location not already present in the Second Location.


File Conflict

In Sync process you can have any conflict situations between files operations. For example, you can modify a file in both locations (in first location and in second location). After this action, the file has different content in first location and in second location.

File conflict window is a window with a list of conflict situations. It appears in following cases:

  1. when you modify a file in both locations - in this case you can choice to copy a file from first location to second location (click >>), or to copy a file from second location to first location (click <<).
    You can select the default action from the Options tab of the New Sync or Edit Task wizard:
    • Copy newest file - with this option selected the default action on Conflict Window will determine only the newest files to be copied on both locations.
    • Copy oldest files - with this option selected the default action on Conflict Window will determine only the oldest files to be copied on both locations.
    • Copy file from first location - on a conflict situation the files from first location will have priority.
    • Copy file from second location - on a conflict situation the files from second location will have priority.
  2. when you delete a file from any location and the "Prompt for deleted files" option is selected from Options tab of the Sync Task - in this case you can choice to delete the file from the other location, or keep the file in both locations.


General Settings

The General Settings of Titan Backup can be set from the Options window. To access the options window go to Tools menu and choose Options or from the main window click Options link/icon.

General

  • Start Titan Backup on Window startup - check this option to make sure that Titan Backup is launched on every Windows startup. After launch, Titan Backup will check if there are any scheduled tasks for that moment: if any scheduled tasks are found they will be executed, if not Titan Backup will run in background, being accessible from tray icon.

  • Associate task files with Titan Backup (*.TBT) - choose this setting to make sure that every time you access a .TBT file Titan Backup will handle it.

  • Wait X minutes after Windows Startup - check this option if you want Titan Backup to wait on Windows Startup a number of minutes before running the scheduled tasks. This way you avoid slowing your system startup.

  • Paths for temporary files - while creating a backup, our program needs to store somewhere the temporary files (e.g. archive files) before moving them to the final location. By default the location of the temporary files is the folder where you've installed the application. Titan Backup allows you to choose a custom location for the temporary files e.g. a drive where you have enough free space.


Email Settings

Titan Backup offers the possibility to notify you by email on errors, warnings and backup summary. To send these email notifications Titan Backup requires an SMTP server. You can make these settings in Options->Email Settings.

  • Outgoing SMTP server - specify a mail server for Titan Backup to use when it sends out the notification emails. Your ISP (Internet Service Provider) should provide this information to you.

  • Port - specify the port number that should be sent when sending any email notifications. This is optional. By default 25 is the port set by the program.

  • From Name - you can have the emails come under this name (Sender's Name)

  • From Email - you can have the emails come from this email (Sender's Email)


FTP Connections

FTP Connections are used when you choose a remote FTP server for the destination of your backup. In FTP Connections settings of Titan Backup options window you can manage your FTP connections. Later on you can quickly select a predefined connection in the Destination tab of a backup task.

Add FTP Connections

To add new FTP connections follow these steps:

  1. Click Add button located in the bottom of the FTP Connections window.

  2. Fill in the FTP Settings in the window that pops up:

  • connection name - this will help you identify your connections in the list of saved FTP connections.

  • host - fill in the host: e.g. www.mywebsite.com or the IP of the FTP server.

  • port - fill in the port you want to use when connecting to FTP. Default value is 21.

  • username - fill in the username to be used when connecting to FTP.

  • password - fill in the password to be used when connecting to FTP.

  • initial remote directory - specify here an existent folder on the FTP, the location within the server where you want to place the backup.

  • PASV Mode - check this option only if the server you are connecting requires a PASV mode connectivity.

  • Use Proxy - check this option if your connection is using a Proxy server. Proxy server settings must be set:

    • connection method - choose from the available connection methods

    • host - fill in the host of the proxy server

    • port - fill in the port number that should be use to connect to the proxy server

    • username - fill in the username that should be used to connect to the proxy server

    • password - fill in the password that should be used to connect to the proxy server

    For security reasons, if your FTP Settings are edited, passwords aren't visible, but you can change it, by clicking to "Change Password" button.

Edit FTP Connection

To Edit and FTP connection follow these steps:

  1. On FTP Connections window select the connection you want to edit from the list of saved FTP connections.

  2. Click Edit button.

  3. Edit any information related to the FTP connection (described above).

Delete FTP Connection

To delete an FTP connection follow these steps:

  1. On FTP Connections window select the connection you want to delete from the list of saved FTP connections.

  2. Click Delete button. You will be asked to confirm deletion of the selected FTP connection.


Masks

Masks are an easy way to include or to exclude a certain category of files when you create a backup task or sync task, without having to manually check all the source files and folders.

When you choose to apply an inclusion mask, that means that only the files of the types defined in the inclusion mask(s) will be included in your task. When you choose to apply an exclusion mask, your task will not contain any file that match the types defined in the exclusion mask: e.g. exclude Temporary and Useless files from your backup.

The masks you define in Options -> Masks can be applied to any backup task you create.

Note: Masks are applied only on Files and Folders!

You can manage the mask lists in Options window - Masks page.

Titan Backup offers you a set of predefined masks but you can also created your own masks.

Add new mask list

To add a new mask list follow these steps:

  1. Select the category of your mask: temporary & useless files, inclusion/exclusion mask or searchable masks.

  2. Click Add button located on the bottom of the page, right below the masks list.

  3. In the window that pops up fill in the file extensions forming the mask: e.g. *.tmp. Separate file extensions with ";". e.g. *.tmp; *.bak

  4. Fill in the description of your mask - this will help you identify your mask.

Edit mask list

  1. Select the category of the mask you want to edit.

  2. Locate the mask you want to edit in the masks list.

  3. Click Edit button located on the bottom of the page, right below the masks list.

Delete mask list

  1. Select the category of the mask you want to delete.

  2. Locate the mask you want to delete in the masks list.

  3. Click Delete button located on the bottom of the page, right below the masks list. You will be asked to confirm the deletion of the selected mask.

Predefined Masks:

  1. Temporary and Useless Files - this is a collection of files extensions that are not useful and take valuable space of your backup. The complete list of Titan Backup default Temporary and Useless files is: *.---, *.??~, *._mp, *.old, *.tmp, ~*.*, *.$$$, *._detmp, *.bsc, *.pch, *.pdb, *.ilk, *.chk, *.dmp, *.ftg, *.gid, *.fts, *.ilc, *.ild, *.ilf, *.ils, *.tds, *.err, *.cpy, *.MS, *.wbk, *.dd_, 0*.nch, mscreate.d, bootlog.pr, suhdlog.da, modemet.tx, system.1st, ws_ftp.log, *.~*, *.jc!

  2. Document Files - this is a collection of files extensions that are considered document files: *.doc, *.dot, *.txt, *.pdf, *.rtf, *.pps, *.ppt, *.wpd, *.xls, *.xlw, *.xlt.

  3. Archive Files - this is a collection of archive type extensions: *.arc, *.arj, *.ari, *.zip, *.cab, *.rar, *.gz, *.tar, *.tar.Z, *.tz, *.tgz, *.tar.gz, *.ace, *.7z, *.exe, *.sit, *.sea, *.Z, *.lzh, *.lha, *.mim, *.mme, *.b64, *.sef, *.uue.

  4. Web Source files & script - *.php, *.asp, *.aspx, *.html, *.htm, *.jsp, *.pl, *.jav, *.cgi.

  5. Audio Files - *.mp3, *.mp2, *.mp1, *.m3u, *.mod, *.mid, *.wma, *.wav, *.cda, *.midi, *.rmi, *.kar, *.miz, *.mdz, *.nst, *.stm, *.stz, *.s3m, *.s3z, *.it, *.itz, *.xm, *.xmz, *.mtm, *.ult, *.far,*.amf, *.okt, *.ptm, *.aac, *.apl, *.m4a, *.669, *.nsa, *.ogg, *.voc, *.au, *.snd, *.aif, *.aiff, *.aifc, *.pls, *.asf, *.asx, *.dvr-ms, *.wpl, *.wmx, *.wm, *.wmd, *.wmz, *.wax, *.

  6. Video Files - *.avi, *.movie, *.moov, *.mov, *.mpeg, *.mpe, *.mpg, *.mp4, *.rm, *.qt, *.m1v, *.mpv2, *.mp2v, *m2v, *.asf, *.nsv, *.wvx, *.wmv.

  7. Image Files - *.gif, *.jpg, *.jpeg, *.jfif, *.jif, *.tif, *.tiff, *.ai, *.eps, *.epi, *.psd, *.pdd, *.bmp, *.rle, *.dib, *.cdr, *.apx, *.ico, *.png, *.qtif, *.pct, *.pict, *.vda, *.icb, *.pcx, *.pxr, *.raw, *.vst, *.tga, *.art, *.crw, *.thm, *.djv, *.djvu, *.iw4, *.emf, *.fpx, *.icl, *.icn, *.cur, *.ani, *.iff, *.lbm, *.ilbm, *.kdc, *.mag, *.pgm, *.pic, *.pix, *.ppm, *.psp, *.ras, *.rsb, *.sgi, *.rgb, *.rgba, *.bw, *.int, *.inta, *.sid, *.xif, *.wmf, *.xbm, *.xpm.

  8. Database Files - *.mdb, *.mde, *.dbx, *.apx, *.bde, *.db, *.dbf, *.edb, *.mdf, *.mpd, *.frm, *.myd, *.myi.


Logs

Titan Backup keeps log files for all operations. For each Backup Task you create, Titan Backup will have a log file that will record all operations done with that task.

You can customize the settings related to log files in the Options window/Logs page:

  1. Log folder - you can choose the location of the log files on your computer. Use browse button to locate the logs folder you want Titan Backup to use. By default Titan Backup will keep the log files in the folder where the application is installed.

  2. Show time stamp in log files - with this setting Titan Backup will show the exact date/time next to each operation in the log file.

  3. Limit log file size - with this setting Titan Backup will limit the log file size at a specified number of kilobytes. When the limit size is reached the current log file is archived and a fresh log file is created. Note: The log file size limit should be set to a reasonable number of KB, not to exceed 100 KB, otherwise the loading of the log file will be slow.


Inclusion and exclusion masks

Titan Backup offers the ability to filter or "mask" the files and folders in your sync locations or selected as the source of your backup. A mask is a predefined list of file extensions that can be used as a reference in filtering the files. You can apply an inclusion or exclusion mask to your files.

Inclusion/exclusion masks are an easy way to include or to exclude a specific category of files when you create a Task, without having to manually check all the files and folders.

  • Inclusion masks: when you apply an inclusion mask you choose to sync or include in the backup only the file types that are defined in the mask.

  • Exclusion masks: when you apply an exclusion mask you choose to sync or backup all the files except the file types defined in the mask. Your backup will not contain any file that match the types defined in the exclusion mask. For example: Exclude Temporary and Useless files from your backup.

To apply an inclusion/exclusion mask on the source files of a backup task follow these steps:

  1. From the Source tab click Files/Folders button.
  2. Click Files Mask button.
  3. Choose an inclusion or/and an exclusion mask to apply from the list of masks (click >> button to see this list).
  4. Click the Add button to add the mask to the list of applied masks (you may apply more then one mask at the same time).
  5. Click the Replace button to replace the current list of applied masks with the new selected mask.

To apply an inclusion/exclusion mask on the files of a sync locations follow these steps:

  1. From the First Location tab click Files/Folders button.
  2. Click Files Mask button.
  3. Choose an inclusion or/and an exclusion mask to apply from the list of masks (click >> button to see this list).
  4. Click the Add button to add the mask to the list of applied masks (you may apply more then one mask at the same time).
  5. Click the Replace button to replace the current list of applied masks with the new selected mask.

You can manage the mask lists from the menu Options -> Masks page, by selecting Inclusion/Exclusion Masks entry from a masks list. Titan Backup offers a set of pre-defined masks, however you may also create your own masks.

The masks you define in Options -> Masks may be applied to any Task you create.

To read more about how to manage your masks please click here.

Note: Masks are applied only on Files and Folders.


Glossary of Terms

AES

Short for Advanced Encryption Standard, a symmetric 128-bit block data encryption technique developed by Belgian cryptographers Joan Daemen and Vincent Rijmen. The U.S government adopted the algorithm as its encryption technique in October 2000, replacing the DES encryption it used. The National Institute of Standards and Technology (NIST) of the U.S. Department of Commerce selected the algorithm, called Rijndael (pronounced Rhine Dahl or Rain Doll), out of a group of five algorithms under consideration.

Backup Task

A backup task is a collection of information that defines a backup: the task name, the files/folders that will be backed up, the location where the backup will be saved and backup options that will tell Titan Backup how to do the backup.

Encryption

The translation of data into a secret code. Encryption is the most effective way to achieve data security. To read an encrypted file, you must have access to a secret key or password that enables you to decrypt it. Unencrypted data is called plain text ; encrypted data is referred to as cipher text.

FTP

Short for File Transfer Protocol, the protocol for exchanging files over the Internet. FTP works in the same way as HTTP for transferring Web pages from a server to a user's browser and SMTP for transferring electronic mail across the Internet in that, like these technologies, FTP uses the Internet's TCP/IP protocols to enable data transfer.

FTP is most commonly used to download a file from a server using the Internet or to upload a file to a server. (e.g. uploading a backup file to a server) .

IP

Abbreviation of Internet Protocol, pronounced as two separate letters. IP specifies the format of packets, also called datagrams, and the addressing scheme. IP by itself is something like the postal system. It allows you to address a package and drop it in the system, but there's no direct link between you and the recipient. An IP is address as 4 numbers separated by dots.

PASV Mode

The data transfer process for FTP establishes and manages the data connection. The data transfer process can be passive or active. Passive, or PASV, is a command that requests that the server "listen" on a data port (which is not its default data port) and to wait for a connection rather than initiate one upon receipt of a transfer command. Certain FTP servers support both active and passive transfers while other FTP servers only allow active transfers.

Proxy

A Proxy server is a server that sits between a client application, such as a Web browser, and a real server. It intercepts all requests to the real server to see if it can fulfill the requests itself. If not, it forwards the request to the real server.

SMTP

Short for Simple Mail Transfer Protocol, a protocol for sending e-mail messages between servers. Most e-mail systems that send mail over the Internet use SMTP to send messages from one server to another.

Sync Task

A Sync Task is a collection of informations such as synchronize name, items defined in this operation, locations (first location, second location), conflict decisions etc. Once you created your Sync Task you can run this task any time you want.

TCP/IP

Short for Transmission Control Protocol/Internet Protocol, the suite of communications protocols used to connect hosts on the Internet. TCP/IP uses several protocols, the two main ones being TCP and IP. TCP/IP is built into the UNIX operating system and is used by the Internet, making it the de facto standard for transmitting data over networks. Even network operating systems that have their own protocols, such as Netware, also support TCP/IP.


Credits

The Titan Backup Development Team:

Product Manager:

Adrian Gheara

Alina Georgiu

Daniel Peptu

Marketing Manager:

Alin Merches

Development Team:

Adrian Pasc

Victor Pop

Sergiu Orbu

Lucian Ivan

Adrian Gheara

Daniel Peptu

Istvan Varro

Dan Vladescu

Alina Georgiu

Kinters Levente

Florin Covaciu

Graphics:

Petrica Farcau

Quality Assurance:

Alina Georgiu

Zoltan Satmari

Dan Vladescu

Mircea Baicu

Alin Merches

Flaviu Saracut


Technical Support

At NeoByte Solutions, we are committed to providing customers with high quality support and assistance. If you encounter a problem, or have a question, or need any other help with our products and solutions, here are a few ways to get an answer or find a solution:

  • Consult the product documentation (this help file and/or any other documentation items that come with the product).

  • Visit the Titan Backup website at http://www.titanbackup.com for updated documentation and other information resources.

  • Contact the 24x7 E-Mail Technical Support by writing to support@titanbackup.com . You may also contact NeoByte Solutions Support by fax, phone, or mail (see below).

To provide the answers you need quickly and efficiently, the support staff needs some information about your computer and your software. Please include the following information when you request support: program name and version number, computer brand and model, any additional hardware or peripherals connected to your computer, operating system type and version numbers, network information, relevant browsers or applications and their version numbers (where applicable). Please also include information on how to reproduce your problem: when it occurs, whether you can reproduce it regularly, and under what conditions.

Contacting NeoByte Solutions

Write to:

Neobyte Solutions SRL

European Offices

Str. Balogh Istvan nr. 17

(Calea Santandreiului)

Oradea 410 238

Romania

Phone: +40-745-383283

Web: http://www.titanbackup.com

E-Mail: info@titanbackup.com

Sales: sales@titanbackup.com


Contact Us

We welcome your comments and suggestions. We really need your help to learn how to serve you better. Let us know how we can improve our products, solutions and support.

General E-mail Address for Questions & Support: info@titanbackup.com

Sales Questions:

sales@titanbackup.com

World Wide Web

http://www.titanbackup.com

Online Ordering Page:

http://www.titanbackup.com/order.html

Phone: +40-745-383283

Fax: +40-259-413271

Mail or Main address:

Neobyte Solutions SRL

European Offices

Str. Balogh Istvan nr. 17

(Calea Santandreiului)

Oradea 410 238

Romania